summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2016-11-19 09:23:27 (GMT)
committerPaul Eggert <eggert@cs.ucla.edu>2016-11-19 09:23:45 (GMT)
commitf028b70e4eac297ce37b306fbdc18efbf09f2e4a (patch)
tree7738e058ee4dee66a469639af9903ab7ad9d5463
parent5b8900267ff93688fad2a7ab0b25dc57b42ea9e7 (diff)
downloadgrep-f028b70e4eac297ce37b306fbdc18efbf09f2e4a.zip
grep-f028b70e4eac297ce37b306fbdc18efbf09f2e4a.tar.gz
grep-f028b70e4eac297ce37b306fbdc18efbf09f2e4a.tar.bz2
tests: use "returns_" rather than "$?"
* tests/grep-dev-null-out: Use "returns_ 124" rather than testing $? = 124.
-rwxr-xr-xtests/grep-dev-null-out3
1 files changed, 1 insertions, 2 deletions
diff --git a/tests/grep-dev-null-out b/tests/grep-dev-null-out
index 16ddadf..13a4843 100755
--- a/tests/grep-dev-null-out
+++ b/tests/grep-dev-null-out
@@ -6,7 +6,6 @@
require_timeout_
${AWK-awk} 'BEGIN {while (1) print "x"}' </dev/null |
- timeout 1 grep x >/dev/null
-test $? -eq 124 || fail=1
+ returns_ 124 timeout 1 grep x >/dev/null || fail=1
Exit $fail